<?php
defined("ECMSAPI_MOD") or exit;
?><!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="renderer" content="webkit">
<title>帝国汉字转拼音接口显示 - 帝国万能API插件</title>
<script src="https://cdn.bootcdn.net/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<link href="https://cdn.bootcdn.net/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
<script src="https://cdn.bootcdn.net/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script>
$(function(){
    $('#button').click(function(){

        var text = $('#text').val();
        if(text === ''){
            $('#text').focus();
            return false;
        }

        var $btn = $(this);

        $.ajax({
            url: './index.php?mod=pinyin&act=convert',
            dataType: 'text',
            type: 'post',
            data: {
                text: text
            },
            beforeSend: function(){
                $btn[0].disabled = true;
            },
            success: function(res){
                $('#pinyin').html(res);
            },
            error: function(){
                $('#pinyin').html('<span style="color: red;">转换接口出错了</span>');
            },
            complete: function(){
                $btn[0].disabled = false;
            }
        });

    });
});
</script>
</head>
<body>
    <div class="container" style="padding-top: 20px;">

        <div class="alert alert-info">示例下载：<a href="https://ecms.maiyapai.com/thread-37.htm" target="_blank">https://ecms.maiyapai.com/thread-37.htm</a></div>

        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <strong>汉字转拼音</strong>
            </div>
            
            <div class="panel-body">
                <textarea class="form-control" placeholder="请输入要转换的内容" rows="4" style="margin-bottom: 10px;" id="text"></textarea>
                <button class="btn btn-info btn-block" type="button" id="button">立即转换</button>
            </div>
        </div>

        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <strong>转换结果</strong>
            </div>
            
            <div class="panel-body" id="pinyin">
                
            </div>
        </div>

    </div>
</body>
</html>